Subject: RE: [MMUSIC] DCCP Media Guide

From: "Phelan, Tom" <[email-masked]>
Date: Thu, 20 Nov 2003 10:35:34 -0500

Hi Jonathan,

Thanks for the comments.  The actual proposal is to send up to double the
nominal transmit rate when there's available bandwidth, and to reduce the
rate as necessary if there isn't enough bandwidth.  This doubling is to
allow fair sharing of the chokepoint bandwidth (between DCCP media apps and
TCP apps), and to avoid what appears to me to be the potential for bullying
from TCP applications that want to suck up all the bandwidth they can.  It
doesn't preclude using low-rate codecs, or mean that the access link must
support the double rate for the connection to function well.

This recommendation was meant for best-effort environments, where the voice
traffic receives no special treatment, and must compete with TCP apps for
network resources.  I can see how this would require a network that gave
special treatment to voice packets to provision double the capacity, though.

This fairness problem is difficult.  All of the research I'm familiar with
approaches it from the direction of other apps being fair to TCP.  I'm not
aware of any other methods for ensuring that non-TCP apps get their fair
share when competing with TCP.  If you (or anyone else) knows of something
I'd appreciate the pointer.

Tom P.

> -----Original Message-----
> From: Jonathan Rosenberg [mailto:[email-masked]]
> Sent: Thursday, November 20, 2003 2:32 AM
> To: Phelan, Tom
> Cc: [email-masked]'; [email-masked]'; [email-masked]'
> Subject: Re: [MMUSIC] DCCP Media Guide
> 
> 
> Tom,
> 
> I don't think this solution will be acceptable to many of the network 
> providers of interactive voip services. Many of them are insistent on 
> using low rate codecs, like g.723, in order to reduce the costs of 
> capacity in their networks. Doubling the rate would defeat 
> the purpose 
> of using these low rate codecs in the first place.
> 
> -Jonathan R.
> 
> Phelan, Tom wrote:
> 
> 
> > Comments will be appreciated.  In particular, I make the 
> suggestion that
> > media apps should transmit at up to twice their nominal 
> maximum rate, when
> > DCCP allows it, in order to provide protection from competing TCP
> > applications.  I know that the first time I heard someone 
> make a similar
> > suggestion I was horrified, but as I developed the issues 
> it seemed to be
> > necessary.  Reactions to this will be appreciated.
> > 
> > Tom P.
> > 
> > _______________________________________________
> > mmusic mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/mmusic
> > 
> 
> -- 
> Jonathan D. Rosenberg, Ph.D.                600 Lanidex Plaza
> Chief Technology Officer                    Parsippany, NJ 07054-2711
> dynamicsoft
> [email-masked]                     FAX:   (973) 952-5050
> http://www.jdrosen.net                      PHONE: (973) 952-5000
> http://www.dynamicsoft.com
> 

_______________________________________________
mmusic mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mmusic

---

From: Jonathan Rosenberg <[email-masked]>
Date: Thu, 20 Nov 2003 12:34:57 -0500

> special treatment to voice packets to provision double the capacity, though.

What about networks where there is also a lot of UDP traffic? For 
example, these same networks providing voip traffic today. If I 
incrementally add dccp support, it seems like I will need to increase 
the provisioned capacity so I dont push out the UDP, no?

-Jonathan R.